← Tablas

Scotland

Caledonia North Region League Division 2

#EquipoPWDLPDBPPtsForma
1Aberdeenshire RFC6600+311630WWWWW
2North Police Scotland5302+45315WLLWW
3Shetland RFC5302-22315WWLL
4Highland 3rd XV4202-11412WLWL
5Garioch RFC4202+1319LLWW
6Banff RFC4202+8227LWLW
7Stornoway RFC6105-11130LLLWL
8Aberdeen Grammar Rugby 2nd XV4004-30710LLLL

Fuente: Scottish Rugby · consultado 14 oct, 04:52 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.